Bug 1476451 - [abrt] dnfdragora-gui: __call__(): __init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: Le délai d'attente est dépassé (24)
Summary: [abrt] dnfdragora-gui: __call__(): __init__.py:250:_handle_dbus_error:dnfdaem...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:677414302adac100795923a8ee4...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-29 06:59 UTC by Sylvain Réault
Modified: 2018-01-01 22:10 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:27:15 UTC


Attachments (Terms of Use)
File: backtrace (2.53 KB, text/plain)
2017-07-29 06:59 UTC, Sylvain Réault
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-29 07:00 UTC, Sylvain Réault
no flags Details
File: cpuinfo (1.73 KB, text/plain)
2017-07-29 07:00 UTC, Sylvain Réault
no flags Details
File: environ (1.68 KB, text/plain)
2017-07-29 07:00 UTC, Sylvain Réault
no flags Details
File: mountinfo (4.37 KB, text/plain)
2017-07-29 07:00 UTC, Sylvain Réault
no flags Details
File: namespaces (102 bytes, text/plain)
2017-07-29 07:00 UTC, Sylvain Réault
no flags Details
File: open_fds (1.61 KB, text/plain)
2017-07-29 07:00 UTC, Sylvain Réault
no flags Details

Description Sylvain Réault 2017-07-29 06:59:53 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc26

Additional info:
reporter:       libreport-2.9.1
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: __call__
exception_type: GLib.GError
executable:     /usr/bin/dnfdragora-updater
kernel:         4.11.11-300.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
__init__.py:250:_handle_dbus_error:dnfdaemon.client.DaemonError: g-io-error-quark: Le délai d'attente est dépassé (24)

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 214, in _get_daemon
    self.running_api_version = proxy.GetVersion()
  File "/usr/lib64/python3.6/site-packages/gi/overrides/Gio.py", line 172, in __call__
    None)
GLib.GError: g-io-error-quark: Le délai d'attente est dépassé (24)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 236, in inner
    callback(self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 320, in __call__
    return self._action(icon, self)
  File "/usr/lib/python3.6/site-packages/pystray/_base.py", line 414, in wrapper1
    return action(icon)
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 113, in __run_update
    return self.__run_dialog({'update_only': True})
  File "/usr/lib/python3.6/site-packages/dnfdragora/updater.py", line 104, in __run_dialog
    self.__main_gui = ui.mainGui(args)
  File "/usr/lib/python3.6/site-packages/dnfdragora/ui.py", line 214, in __init__
    rpm_groups = self.backend.GetGroups()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 50, in backend
    return self.get_root_backend()
  File "/usr/lib/python3.6/site-packages/dnfdragora/basedragora.py", line 69, in get_root_backend
    self._root_backend = dnfdragora.dnf_backend.DnfRootBackend(self, self._use_comps)
  File "/usr/lib/python3.6/site-packages/dnfdragora/dnf_backend.py", line 151, in __init__
    dnfdaemon.client.Client.__init__(self)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 549, in __init__
    DnfDaemonBase.__init__(self, system, ORG, INTERFACE)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 205, in __init__
    self.daemon = self._get_daemon(bus, org, interface)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 223, in _get_daemon
    self._handle_dbus_error(err)
  File "/usr/lib/python3.6/site-packages/dnfdaemon/client/__init__.py", line 250, in _handle_dbus_error
    raise DaemonError(str(err))
dnfdaemon.client.DaemonError: g-io-error-quark: Le délai d'attente est dépassé (24)

Local variables in innermost frame:
msg: ''
exc: ''
err: GLib.Error('Le délai d'attente est dépassé', 'g-io-error-quark', 24)
self: <dnfdragora.dnf_backend.DnfRootBackend object at 0x7ff9e65c8eb8>

Comment 1 Sylvain Réault 2017-07-29 06:59:59 UTC
Created attachment 1306162 [details]
File: backtrace

Comment 2 Sylvain Réault 2017-07-29 07:00:01 UTC
Created attachment 1306163 [details]
File: cgroup

Comment 3 Sylvain Réault 2017-07-29 07:00:02 UTC
Created attachment 1306164 [details]
File: cpuinfo

Comment 4 Sylvain Réault 2017-07-29 07:00:03 UTC
Created attachment 1306165 [details]
File: environ

Comment 5 Sylvain Réault 2017-07-29 07:00:05 UTC
Created attachment 1306166 [details]
File: mountinfo

Comment 6 Sylvain Réault 2017-07-29 07:00:06 UTC
Created attachment 1306167 [details]
File: namespaces

Comment 7 Sylvain Réault 2017-07-29 07:00:07 UTC
Created attachment 1306168 [details]
File: open_fds

Comment 8 Fedora Update System 2017-12-29 23:21:25 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 9 Fedora Update System 2017-12-29 23:26:50 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 10 Fedora Update System 2017-12-30 19:53:42 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 11 Fedora Update System 2017-12-30 20:39:28 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 12 Fedora Update System 2017-12-31 21:27:15 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-01-01 22:10:54 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.